<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('activity_order_log', function (Blueprint $table) {
            $table->string('type', 20)->nullable()->comment("类型 SIGNIN:签到，ORDER:下单，REFUND:退款")->after('remark');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('activity_order_log', function (Blueprint $table) {
            $table->dropColumn('type');
        });
    }
};
